package com.game.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.game.business.domain.AppGameLottery;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AppGameLotteryMapper extends BaseMapper<AppGameLottery> {

    /**
     * 查询游戏开奖记录
     *
     * @param id 游戏开奖记录主键
     * @return 游戏开奖记录
     */
    public AppGameLottery selectAppGameLotteryById(Long id);

    /**
     * 查询游戏开奖记录列表
     *
     * @param appGameLottery 游戏开奖记录
     * @return 游戏开奖记录集合
     */
    public List<AppGameLottery> selectAppGameLotteryList(AppGameLottery appGameLottery);

    /**
     * 新增游戏开奖记录
     *
     * @param appGameLottery 游戏开奖记录
     * @return 结果
     */
    public int insertAppGameLottery(AppGameLottery appGameLottery);

    /**
     * 修改游戏开奖记录
     *
     * @param appGameLottery 游戏开奖记录
     * @return 结果
     */
    public int updateAppGameLottery(AppGameLottery appGameLottery);

    /**
     * 删除游戏开奖记录
     *
     * @param id 游戏开奖记录主键
     * @return 结果
     */
    public int deleteAppGameLotteryById(Long id);

    /**
     * 批量删除游戏开奖记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppGameLotteryByIds(Long[] ids);

    /**
     * 查询遗漏数据
     * */
    public List<AppGameLottery> selectLeakLottery(@Param("time") String time);

    /**
     * 查询遗漏数据2
     * */
    public List<AppGameLottery> selectLeakLottery2(@Param("time") String time);

    /**
     * 查询遗漏数据
     * */
    public AppGameLottery leakInfo(@Param("gameId") Long gameId, @Param("gameDate") String gameDate);

    /**
     * 查询遗漏数据
     * */
    public AppGameLottery leakInfo2(@Param("gameId") Long gameId, @Param("gameDate") String gameDate);

}
